Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Interface KeyStore.LoadStoreParameter

Enclosing class:
  KeyStore

    public static interface KeyStore.LoadStoreParameter

A marker interface for `KeyStore` `load` and `store` parameters.

Since:
  1.5

Method Summary
`KeyStore.ProtectionParameter` | `getProtectionParameter()` Gets the parameter used to protect keystore data.

Method Detail

### getProtectionParameter

    KeyStore.ProtectionParameter getProtectionParameter()

  Gets the parameter used to protect keystore data.

  Returns:
    the parameter used to protect keystore data, or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.